package com.usky.rule.vo;

import com.fasterxml.jackson.annotation.JsonAlias;

import java.util.Map;

public class DeviceDataVO {
    private String deviceUuid;
    private String acqTime;
    private Map<String, String> functions;

    public DeviceDataVO() {
    }


    public String getDeviceUuid() {
        return this.deviceUuid;
    }

    public String getAcqTime() {
        return this.acqTime;
    }

    public Map<String, String> getFunctions() {
        return this.functions;
    }


    public void setDeviceUuid(final String deviceUuid) {
        this.deviceUuid = deviceUuid;
    }

    public void setAcqTime(final String acqTime) {
        this.acqTime = acqTime;
    }

    public void setFunctions(final Map<String, String> functions) {
        this.functions = functions;
    }

    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof DeviceDataVO)) {
            return false;
        } else {
            DeviceDataVO other = (DeviceDataVO)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$deviceUuid = this.getDeviceUuid();
                Object other$deviceUuid = other.getDeviceUuid();
                if (this$deviceUuid == null) {
                    if (other$deviceUuid != null) {
                        return false;
                    }
                } else if (!this$deviceUuid.equals(other$deviceUuid)) {
                    return false;
                }

                Object this$acqTime = this.getAcqTime();
                Object other$acqTime = other.getAcqTime();
                if (this$acqTime == null) {
                    if (other$acqTime != null) {
                        return false;
                    }
                } else if (!this$acqTime.equals(other$acqTime)) {
                    return false;
                }

                Object this$functions = this.getFunctions();
                Object other$functions = other.getFunctions();
                if (this$functions == null) {
                    if (other$functions != null) {
                        return false;
                    }
                } else if (!this$functions.equals(other$functions)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(final Object other) {
        return other instanceof DeviceDataVO;
    }

    public int hashCode() {
        int PRIME = 59;
        int result = 1;
        Object $deviceUuid = this.getDeviceUuid();
        result = result * 59 + ($deviceUuid == null ? 43 : $deviceUuid.hashCode());
        Object $acqTime = this.getAcqTime();
        result = result * 59 + ($acqTime == null ? 43 : $acqTime.hashCode());
        Object $functions = this.getFunctions();
        result = result * 59 + ($functions == null ? 43 : $functions.hashCode());
        return result;
    }

    public String toString() {
        return "DeviceDataVO(deviceUuid=" + this.getDeviceUuid() + ", acqTime=" + this.getAcqTime() + ", functions=" + this.getFunctions() + ")";
    }
}
